Summary: LottaNZB - Automated Usenet Client
Name: lottanzb
Version: 0.5.3
Release: 1%{?dist}
Source0: http://launchpad.net/lottanzb/0.5/%{version}/+download/%{name}-%{version}.tar.gz
License: GPL
Group: Networking/News
Prefix: %{_prefix}
BuildArch: noarch
BuildRequires: python-devel
BuildRequires: pygtk2-devel
BuildRequires: python-kiwi
BuildRequires: intltool
Requires: python-kiwi
Requires: python
Requires: hellanzb
Requires: pygtk2.0
Requires: pygtk2.0-libglade
Url: http://www.lottanzb.org/

%description
LottaNZB is a Usenet client that automates the download of Usenet files with the help of NZB files. It uses HellaNZB as its backend and PyGTK for its user interface.

%prep
%setup -q -n %{name}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --packaging-mode --root=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome
for omf in %buildroot%_datadir/omf/*/*[_-]??.omf;do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done

rm -fr %buildroot%_datadir/doc

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/apport/crashdb.conf.d/lottanzb-crashdb.conf
%{_datadir}/apport
%{_bindir}/*
/usr/lib/python2.7/site-packages/%{name}/*
%{_datadir}/%{name}/*
%{_datadir}/icons/*
/usr/lib/python2.7/site-packages/%{name}-%{version}-*.egg-info
%{_mandir}/man1/*
%{_datadir}/application-registry/lottanzb.applications
%{_datadir}/applications/lottanzb.desktop
%{_datadir}/mime-info/%{name}.*
%{_datadir}/mime/packages/*
#%dir %{_datadir}/omf/lottanzb/
%{_datadir}/omf/lottanzb/*-C.omf




%changelog
* Sat Mar 09 2013 Johnny Brinsko <tripgod@fuduntu.org> - 0.5.3-l
- Built for Fuduntu


* Sat Jan 12 2013 umeabot <umeabot> 0.5.3-3.mga3
+ Revision: 358948
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Apr 13 2011 ennael <ennael> 0.5.3-2.mga1
+ Revision: 84049
- clean spec file
- imported package lottanzb

